RpfSubframe.Pixels (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfSubframe.Pixels

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfSubframe.ImageCreator
          com.bbn.openmap.layer.rpf.RpfSubframe.Pixels

Enclosing class:
  RpfSubframe

    public class RpfSubframe.Pixels

extends RpfSubframe.ImageCreator

Direct colormodel implementation.

Author:
  ddietrick

Constructor Summary
`protected` | `RpfSubframe.Pixels(int[] pixels)`

Method Summary
`protected OMGraphic` | `getImage(Projection proj)` Get the proper OMGraphic given the projection type.
`protected void` | `setTransparent(int opaqueness)` Set the transparent color index or opaqueness setting, depending on color model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RpfSubframe.Pixels

    protected RpfSubframe.Pixels(int[] pixels)

Method Detail

### setTransparent

    protected void setTransparent(int opaqueness)

  Description copied from class: `RpfSubframe.ImageCreator`
  Set the transparent color index or opaqueness setting, depending on color model.

  Specified by:
    `setTransparent` in class `RpfSubframe.ImageCreator`

### getImage

    protected OMGraphic getImage(Projection proj)

  Description copied from class: `RpfSubframe.ImageCreator`
  Get the proper OMGraphic given the projection type.

  Specified by:
    `getImage` in class `RpfSubframe.ImageCreator`
  Returns:
    a projected OMGraphic for the image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details